Subject: [dns-privacy] Robert Wilton's No Objection on draft-ietf-dprive-xfr-over-tls-11: (with COMMENT)

From: Robert Wilton via Datatracker <[email-masked]>
Date: Thu, 06 May 2021 02:16:28 -0700

Robert Wilton has entered the following ballot position for
draft-ietf-dprive-xfr-over-tls-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dprive-xfr-over-tls/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

Thank you for this document.

I was surprised by the length of this document - i.e., 40 pages to say to use
TLS rather than TCP, and noting that DoH is only 20 pages long!

But in reality, this document seems to be more than just zone transfers over
TLS and seems to clarify/optimize various behavior related to using TCP
connection handling.

I have a few concrete suggestions that you are at liberty to handle as you see
fit:

(1) Please ensure that the abstract accurately summarizes the focus on the
document, with a sentence of two summarizing the updates to RFC1995, RFC5936
and RFC7766.

(2) I presume that section 21.3 is intended to be deleted (since the references
appear to only be from section 16 which is planned to be removed), if so adding
a RFC editor note would be helpful.

(3) It wasn't clear to me whether the text in the appendix is meant to be
normative or illustrative.   It might be helpful to be clear which it is meant
to be.

Regards,
Rob

---

From: Sara Dickinson <[email-masked]>
Date: Thu, 6 May 2021 12:58:25 +0100

> On 6 May 2021, at 10:16, Robert Wilton via Datatracker <[email-masked]> wrote:
> 

Indeed - it started out at about half this length and then grew, particularly with the updates to the earlier specifications were added!

> document, with a sentence of two summarizing the updates to RFC1995, RFC5936

Picked up in other reviews - I have suggested: 

“Additionally, this specification updates RFC1995 and RFC5936 with respect to efficient use of TCP connections, and RFC7766 with respect to the recommended number of connections between a client and server for each transport."

> a RFC editor note would be helpful.

Correct - will add text. 

> normative or illustrative.   It might be helpful to be clear which it is meant

A good point - it is meant to be illustrative - I’ll add text to clarify. 

Many thanks!

Sara.

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 6 May 2021 13:15:05 +0000

Hi Sara,

Updates sound good.  Thanks for checking.

Regards,
Rob

> -----Original Message-----
> From: Sara Dickinson <[email-masked]>
> Sent: 06 May 2021 12:58
> To: Rob Wilton (rwilton) <[email-masked]>
> Cc: The IESG <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Robert Wilton's No Objection on draft-ietf-dprive-xfr-over-
> tls-11: (with COMMENT)
> 
> 
> 
> Indeed - it started out at about half this length and then grew,
> particularly with the updates to the earlier specifications were added!
> 
> >
> “Additionally, this specification updates RFC1995 and RFC5936 with respect
> to efficient use of TCP connections, and RFC7766 with respect to the
> recommended number of connections between a client and server for each
> transport."
> 
> >

---

From: Rob Sayre <[email-masked]>
Date: Thu, 6 May 2021 19:44:05 -0700

> A good point - it is meant to be illustrative - I’ll add text to clarify.

There are other comments suggesting the appendix should be deleted. Is
there a response to those?

thanks,
Rob

---

From: Sara Dickinson <[email-masked]>
Date: Fri, 7 May 2021 14:52:42 +0100

> On 7 May 2021, at 03:44, Rob Sayre <[email-masked]> wrote:
> 
> On Thu, May 6, 2021 at 4:58 AM Sara Dickinson <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> There are other comments suggesting the appendix should be deleted. Is there a response to those?

I saw those comments on the TLS list - I’m still working on my response to Ben Kudak’s detailed COMMENTS (which is the one IESG review that raised this question) so I’ll address this point in context in that thread.

Sara.